вторник, 3 июня 2014 г.

E-Panel (Е-Панель) для имиджей на основе OpenPli/OA(системная панель)

Установка:
1. Обязательно подключение к интернету ресивера. так как панель до устанавливает необходимые компоненты для нормальной работы.
2. закидываем в /tmp и из терминала пишем следующее

Код:
opkg update && opkg install /tmp/*.ipk3. рестарт enigma
внимательно смотрим лог установки, если возникают проблемы, с скриншотом в эту ветку,
если при работе возникает зелень обязательно выкладываем крешлог...

ВНИМАНИЕ при установке, не следует применять параметры -force-overwrite


ВНИМАНИЕ при установке на openATV и прочие  OA имиджи требуется предварительная
установка softcam-support_1.0-r1_all.ipk

Некоторые комментарии к работе загрузка epg:
- Проверять наличие epg.dat (автоматическая проверка наличия файла epg.dat в системе: если Enigma2 по какой-либо причине его удалила, в течении минуты он закачается заново)





обновление  5.3-r15
-обновлен менеджер softcam
-мелкие правки

обновление  5.3-r16
-обновлен ntp апдейтер
-добавлен путь /tmp для хранения epg.dat (для ресиверов на sh4)
-добавлен просмотр /etc/hosts в системных утилитах

обновление  5.4-r0
-добавлен редактор файла /etc/hosts
-переделана синхронизация времени, для новых имиджей pli, работает через ntpdate-sync, 
старый метод не поддерживается...
-мелкие правки

обновление  5.4-r1
-багфикс

обновление  5.4-r2
-добавлено восстановление epg при старте enigma2
-багфикс

обновление  5.4-r3
-добавлено управление сервисами udpxy и livestreamer (старт/стоп/рестарт), если они установлены
-багфикс

обновление  5.4-r4
-переделано создание swap файла 
-багфикс


обновление  5.4-r5
- в управление эмуляторами добfвлена проверка загружен ли бинарник активного эмулятора в память
- исправлен инсталятор bh.thz, nab.tz, tar.gz
- багфикс

обновление  5.4-r6
поправлена совместимость с имиджами на базе ОА
- багфикс


обновление  5.4-r8
- добавлена возможность навигации по меню с помощью цифровых клавиш
- поддержка epg на имиджах (openAtv, HDFreaks, Vix)
- нативная поддержка эмуляторов имиджа HDFreaks
- мелкие правки


обновление  5.5-r1
добавлена очистка кеш (для автомата нужен cron)
исправлено удаление установочных файлов, на всех указанных носителях
- мелкие правки


обновление  5.5-r2
добавлен вывод информации о процессоре
- мелкие правки
- багфикс


обновление  5.5-r3
- мелкие правки
- багфикс


обновление  5.6-r0
- добавлена возможность синхронизации DDNS с noip.com и changeip.com


обновление  5.6-r1
- исправлено сохранения скрипта для синхронизации DDNS
- исправлена установка и загрузка компонентов с фида для sh4
- доработана система проверки бинарника эмулятора в памяти ресивера
- багфикс


обновление  5.6-r2
- исправлена установка и загрузка компонентов с фида для sh4
- исправлен адрес загрузки epg (piconload.ru)

обновление  5.6-r3
- багфикс

обновление  5.6-r4
- обновлен script executor, появилась возможность запуска скриптов в фоне
- мелкие правки

обновление  5.6-r5
- багфикс

обновление  5.6-r6
- исправлена синхронизация времени при старте ресивера sh4
- косметика
- багфикс

обновление  5.6-r7
- косметика
- багфикс

обновление  5.6-r8
- размещение epg.dat теперь привязывается к точкам монтирования
- багфикс

обновление  5.6-r9
- изменен источник  epg.dat теперь вместо piconload.ru, грузится с shura.tv
- багфикс

обновление  5.6-r10
- изменено название источника с shura.tv на epg-sat.de с которого действительно грузится epg
- обновлена панель инфо, добавлено дата установки имиджа, версия GStreamer, версия Livestreamer и Python
- клинап 
- багфикс

обновление  5.6-r11
- исправлено двоение файлов при загрузке/установки расширений с фида
- исправлено нахождение файла status
- багфикс

обновление  5.6-r12
- актуализация для текущей версии opkg (sh4)

обновление  5.6-r13
- восстановлена загрузка пакетов (-nodeps) с фида (sh4). 
- загрузка пакетов с зависимостями (-deps) на sh4 работать не будет

обновление  5.6-r14
- багфикс

обновление  5.6-r15
- добавлена поддержка дисков смонтированных по uuid и поддержка карт mmc(formuler f3) - swap и epg.dat 
- багфикс

обновление  5.6-r16
изменен источник загрузки epg с linux-sat.tv на epg.in.ua
- багфикс

обновление  5.7-r0
- переписан модуль загрузки epg.dat
- исправлено удаление крешлогов
- начато введение системы логирования алагина, постепенно будет внедрятся во все компоненты (/tmp/epanel.log)
- багфикс

обновление  5.7-r1
- изменена логика запуска таймеров проверки epg.dat

обновление  5.7-r2
- добавлена возможность отключения автозагрузчика epg.dat
- добавлена возможность запуска скриптов на python из script-панели
- добавлен скрипт конвертации скриптов эмуляторов имиджа openATV в стандарт openPLI 
- багфикс 

обновление  5.7-r3
- адаптации для openATV 5.x

обновление  5.7-r4
фиксы

обновление  5.7-r5
- добавлен миниредактор blacklist.onid(нужен для блокировки epg с спутника от конкретного провайдера)

обновление  5.7-r6
багфикс

обновление  5.7-r7
изменен адрес загрузки епг по умолчанию, все подробности http://giclub.tv/index.php?topic=7897.msg137773#msg137773
багфикс

обновление  5.7-r8
- добавлен сброс кеша epg перед загрузкой нового
багфикс

обновление  5.7-r9
- исправлен вывод версии драйвера для formuler (openATV)

обновление  5.7-r10
- поддержка Vu+Solo4k
- уборка лишних пробелов в адресе загрузки (если они были случайно введены)

- багфикс

обновление  5.7-r11
- фиксы
- добалена возможность выбора источника для загрузки epg.dat, все адреса находятся в файле epghost.txt в папке плагина, при надобности можно редактировать текстовым редактором

обновление  5.7-r12
- фиксы
- добавлен правильный вывод количества и наменований тюнеров в UHD ресиверах

обновление  5.7-r13
- фиксы
- правильное определение новых ARM процессоров
- не помню

обновление  5.7-r15
- фиксы
- поправлена работа с фидом openpli5 и openatv6

обновление  5.7-r16
- фиксы
- поправлена работа с фидом openpli6 

обновление  5.8-r2
- отвязка от зависимостей softcam-support и update-rc

- поправлена работа с фидом openpli6 


Установка начиная с 5.8-rx:
удалить все версии до 5.8-кч, все настроки панели сохранятся после последующей установки

607 комментариев:

  1. Анонимный10 июня 2014 г., 22:19

    Установил е-панель 53 р-16. При перезагрузке в момент появления инфобара падает в зелень и так по кругу. Имидж опенпли 4.0, скин - инфинити.

    Креш-лог не знаю как приложить, "Ваш код HTML не может быть принят: Должно быть не более 4 096 символов"

    ОтветитьУдалить
  2. Ответы
    1. Анонимный10 июня 2014 г., 23:00

      Что-то письмо не отправляется. "!10.06.2014.вторник, 23:57:12: SEND - Приветствие TLS не завершено. Удаленный хост принудительно разорвал существующее подключение". Что за хрень? Я сейчас ухожу на работу, попробую завтра.

      Удалить
  3. Анонимный11 июня 2014 г., 10:32

    C gmail.com письмо не отправилось. а вот с mail.ru - без проблем.

    ОтветитьУдалить
    Ответы
    1. чудненько, только на этом почтовом ящике mail.ru заблокировано и я не получу ничего)))), думаю gmail не пропускало в текстовом виде у них такое бывает, я обычно запаковываю в архив, тогда пролазит....

      Удалить
  4. Анонимный11 июня 2014 г., 12:08

    Запаковал лог в архив - все равно не отправилось. В общем просмотрел сам этот лог, по моему ругался на библиотеку конверторов. Установил ее с этого сайта, предварительно удалив гисклубную и все. Панель встала как по маслу. Спасибо за работу.

    ОтветитьУдалить
    Ответы
    1. нонсенс, эти штуки никак не связаны между собой и тем более с скином который ты используешь, вчеже хотелось бы глянуть на самую концовку крешлога....

      Удалить
  5. Анонимный11 июня 2014 г., 13:45

    File "/usr/lib/enigma2/python/Components/Converter/Bitrate2.py", line 68, in initBitrateCalc
    self.videoBitrate = eBitrateCalculator(vpid, dvbnamespace, tsid, onid, 1000, 1024*1024) # pid, dvbnamespace, tsid, onid, refresh intervall, buffer size
    NameError: global name 'eBitrateCalculator' is not defined
    (PyObject_CallObject((Video: %V Kb/s Audio: %A Kb/s)>,()) failed)
    getResolvedKey config.plugins.crashlogautosubmit.sendAnonCrashlog failed !! (Typo??)
    getResolvedKey config.plugins.crashlogautosubmit.addNetwork failed !! (Typo??)
    getResolvedKey config.plugins.crashlogautosubmit.addWlan failed !! (Typo??)
    ]]>

    ОтветитьУдалить
  6. Анонимный11 июня 2014 г., 14:09

    А вот из другого крэшлога (пока перезагружался от зеленки до зеленки)

    File "/usr/lib/enigma2/python/Tools/BoundFunction.py", line 9, in __call__
    File "/usr/lib/enigma2/python/Components/Console.py", line 56, in finishedCB
    File "/usr/lib/enigma2/python/Plugins/Extensions/epanel/emuman.py", line 238, in emuRemoveStartScript
    self.iConsole.ePopen("rm -f /etc/init.d/%s" % self.emutype, self.emuRemoveEcmInfo)
    AttributeError: 'emuSel4' object has no attribute 'iConsole'
    (PyObject_CallObject(,(0,)) failed)
    main thread is non-idle! display spinner!
    getResolvedKey config.plugins.crashlogautosubmit.sendAnonCrashlog failed !! (Typo??)
    getResolvedKey config.plugins.crashlogautosubmit.addNetwork failed !! (Typo??)
    getResolvedKey config.plugins.crashlogautosubmit.addWlan failed !! (Typo??)
    ]]>



    ОтветитьУдалить
  7. и никаким боком панель тут, в последней версии библиотеки переписанный bitrate2 наново, а в гисклубовской некая промежуточная версия затесалась.... связи между этими событиями нет, может быть только совпадение.......

    ОтветитьУдалить
  8. Анонимный14 июня 2014 г., 10:52

    Доброго дня. Установил Е-панель на чистый имидж, вроде всё встало. Но ни как не хочет время синхронизироватся. Нажимаю жёлтую кнопку, появляется окно с надписью "ошибка..."

    ОтветитьУдалить
    Ответы
    1. 1. Имидж?
      2. Установка руками или ?
      плпробуй
      1. проверить часовой пояс
      2. перегрузить ресивер
      3. настроить работу хоть одного канала

      Удалить
    2. Анонимный14 июня 2014 г., 12:57

      Имидж OpenPli4.0, устанавливал три дня назад. Ставил панель как рекомендовано.Часовой пояс +7, ресивер перезагружал. Время в ручную по синей кнопке настраиваю, всё работает нормально. Только по жёлтой кнопке ни как не хочет синхронизироватся.

      Удалить
  9. покажи
    cat /etc/enigma2/settings | grep epanel может что-то с ntp сервером
    и попробуй ручной сервер вместо автомата который ntp.ubuntu.com

    ОтветитьУдалить
  10. Анонимный14 июня 2014 г., 14:11

    root@vuuno:~# cat /etc/enigma2/settings | grep epanel
    config.plugins.epanel.activeemu=wicardd 1.16
    config.plugins.epanel.checkepgfile=true
    config.plugins.epanel.direct=/media/usb/
    config.plugins.epanel.autosave=239
    config.plugins.epanel.server=ru.pool.ntp.org
    config.plugins.epanel.autobackup=true
    config.plugins.epanel.time=4
    config.plugins.epanel.cold=1
    config.plugins.epanel.onoff=1
    root@vuuno:~#

    ОтветитьУдалить
    Ответы
    1. покажи что ответит из консоли
      /usr/bin/ntpdate -v -u ru.pool.ntp.org

      Удалить
  11. Анонимный14 июня 2014 г., 16:12

    Вот что выдало:root@vuuno:~# /usr/bin/ntpdate -v -u ru.pool.ntp.org
    -sh: /usr/bin/ntpdate: not found
    root@vuuno:~#

    ОтветитьУдалить
    Ответы
    1. очень интересно дефки пляшут, как жк ты ставил панель, она бы не стала без загрузки ntpdate, если ставил руками рекомендую установить как положено ибо еще повылазит куча всего
      opkg update && opkg install /tmp/*.ipk

      для установки ntpdate
      opkg update && opkg install ntpdate

      Удалить
  12. Анонимный14 июня 2014 г., 16:59

    Эй богу ставил не руками, через консоль команду эту давал. Спасибо, сейчас по новой попробую.

    ОтветитьУдалить
    Ответы
    1. ну там куча зависимостей, и установка сразу выдаст кучу ошибок , как поставишь установки лог покажи

      Удалить
  13. Анонимный14 июня 2014 г., 18:48

    opkg update && opkg install /tmp/*.ipk Downloading http://downloads.pli-images.org/feeds/openpli-4/3rd-party/Packages.gz. Inflating http://downloads.pli-images.org/feeds/openpli-4/3rd-party/Packages.gz.
    Updated list of available packages in /var/lib/opkg/openpli-3rd-party .Downloading http://downloads.pli-images.org/feeds/openpli-4/3rd-party-vuuno/Packages.gz.
    Inflating http://downloads.pli-images.org/feeds/openpli-4/3rd-party-vuuno/Packages.gz.
    Updated list of available packages in /var/lib/opkg/openpli-3rd-party-vuuno. Downloading http://downloads.pli-images.org/feeds/openpli-4/all/Packages.gz.
    Inflating http://downloads.pli-images.org/feeds/openpli-4/all/Packages.gz.
    Updated list of available packages in /var/lib/opkg/openpli-all.
    Downloading http://downloads.pli-images.org/feeds/openpli-4/mips32el/Packages.gz.
    Inflating http://downloads.pli-images.org/feeds/openpli-4/mips32el/Packages.gz.
    Updated list of available packages in /var/lib/opkg/openpli-mips32el.
    Downloading http://downloads.pli-images.org/feeds/openpli-4/vuuno/Packages.gz.
    Inflating http://downloads.pli-images.org/feeds/openpli-4/vuuno/Packages.gz.
    Updated list of available packages in /var/lib/opkg/openpli-vuuno.
    Installing enigma2-plugin-extensions-epanel (5.3-r16) to root...
    Installing softcam-support (1.0-r1) to root...
    Downloading http://downloads.pli-images.org/feeds/openpli-4/all/softcam-support_1.0-r1_all.ipk.
    Removing any system startup links for softcam ...
    Installing busybox-cron (1.22.1-r32) to root...
    Downloading http://downloads.pli-images.org/feeds/openpli-4/mips32el/busybox-cron_1.22.1-r32_mips32el.ipk.
    Removing any system startup links for busybox-cron ...
    Installing ntpdate (4.2.6p5-r6.0) to root... Downloading http://downloads.pli-images.org/feeds/openpli-4/mips32el/ntpdate_4.2.6p5-r6.0_mips32el.ipk.
    Configuring softcam-support.
    Adding system startup for /etc/init.d/softcam.
    Configuring busybox-cron.

    Adding system startup for /etc/init.d/busybox-cron.
    starting Busybox Periodic Command Scheduler: crond... done.
    Configuring ntpdate.
    adding crontab
    Configuring enigma2-plugin-extensions-epanel.
    2boom это нужно?

    ОтветитьУдалить
  14. да теперь все будет работать, только пробегись по настройкам....

    ОтветитьУдалить
  15. Анонимный14 июня 2014 г., 19:43

    Большое спасибо!

    ОтветитьУдалить
  16. Анонимный17 июня 2014 г., 15:12

    2boom, в системная информация не работают кнопки вниз и вверх (не видно информации hosts)

    ОтветитьУдалить
  17. я посмотрю, может дефолтный скин маленький или включу кнопки вверх.вниз, в моих скинах они ненужны, решу в следуемым релизе ....

    ОтветитьУдалить
  18. Анонимный2 июля 2014 г., 20:50

    Подключил через панель swap 128 мб на usb. Зашел в рес вижу размер 128. В панели по кнопке инфо показывает всего 10319 мб. свободной 0. Тоже самое кажет и в разделе системная инфо в панели. Что за глюк не могу понять?
    Флешка формат. в ext3 компом через акронис.

    ОтветитьУдалить
  19. 1. имидж ?
    2. показывай cat /proc/meminfo | grep Swap
    3 показывай cat /proc/swaps

    ОтветитьУдалить
  20. Анонимный2 июля 2014 г., 21:14

    PLi 4.0
    root@vuduo:~# [6n
    cat /proc/meminfo | grep Swap


    SwapCached: 0 kB
    SwapTotal: 10372 kB
    SwapFree: 10372 kB

    root@vuduo:~# [6n
    cat /proc/swaps


    Filename Type Size Used Priority
    /media/usb/swapfile file 10372 0 -1
    root@vuduo:~# [6n

    ОтветитьУдалить
  21. удали swap, перегрузи полностью ресивер, воткни флешь, проверь чтобы смотнтировалась как /media/usb

    ОтветитьУдалить
  22. Анонимный2 июля 2014 г., 22:44

    Сделал как советовали. Определилась как /media/usb/ Пытаюсь по новой создать swap. падает без крэша. и по кругу

    ОтветитьУдалить
  23. сорри я протупил недосмотрел, какой нафиг ext3 на флешке, там должен быть ext2 если не поможет пробни ее сменить, проблема в ней я думаю...

    ОтветитьУдалить
  24. Анонимный2 июля 2014 г., 23:24

    А можно как то средствами ресивера форматнуть?

    ОтветитьУдалить
  25. можно ))))
    http://dream-zone.dk/showthread.php?2467-Prepare-a-USB-stick-for-Enigma-2-from-ZERO

    ОтветитьУдалить
  26. Анонимный2 июля 2014 г., 23:44

    Ну ды мы легких путей не ищем

    ОтветитьУдалить
  27. )))) формтни в fat32 на компе но без меток диска, можно быстрым форматом, если swap начнет нормально отображатся, то попробуй инициализировать флешку через настройки диска (меню-настройки-система) если есть винт то желательно его отмонтировать чтобы случайно не прихлопнуть

    ОтветитьУдалить
  28. Анонимный3 июля 2014 г., 10:08

    Пришлось из закромов девайс менеджер достать)) Форматнул им кстати тоже в ext3
    сейчас вроде все ровно. Кстати оч неплохой плаг. Я бы лучше его по умолчанию в имидж ставил чем hdmi-seс. Так к слову.

    ОтветитьУдалить
  29. Ну девайс менагер так как он написан, считаю злом, мне за все время и в голову не приходило пользоваться подобным на pli, а вот hdmi-cec штука полезна, хоть и тоже не одозначная....

    ОтветитьУдалить
  30. Анонимный5 июля 2014 г., 14:18

    дайте пожалуйста ссылку на файлик с эмулятором oscam который у вас на скриншоте, никак не могу найти! У меня имидж OpenPli 4

    ОтветитьУдалить
  31. эмуляторы http://2boom-lib.blogspot.com/2014/07/blog-post.html каких не хватает пиши там же буду выкладывать если они у меня есть

    ОтветитьУдалить
  32. Анонимный11 июля 2014 г., 6:38

    Из крэш-лога:
    [ePNG] couldn't open /usr/lib/enigma2/python/Plugins/Extensions/epanel/images/cardserver.png
    Лишняя строка в plugin.py?
    sixpng = LoadPixmap(cached=True, path=resolveFilename(SCOPE_PLUGINS, "Extensions/epanel/images/cardserver.png"))

    ОтветитьУдалить
  33. да лишняя, имидж явно не pli))) pli на это не обращает внимание......

    ОтветитьУдалить
  34. Анонимный14 июля 2014 г., 15:00

    Приветствую 2boot!На E2(CrIs1.02) панель встала,как"родная",а вот в Е2 от (Taapat-последняя,проблема,посмотрите:
    |_| ----openAR-Project---- *
    * *
    * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *



    BusyBox v1.22.1 (2014-06-05 01:43:13 EEST) built-in shell (ash)
    Enter 'help' for a list of built-in commands.


    spark:~#
    -------------------- < Script > ----------------------------
    df -m; echo ">>> DONE <<<";

    Filesystem 1M-blocks Used Available Use% Mounted on
    /dev/root 119 66 53 56% /
    /dev/root 119 66 53 56% /dev/.static/dev
    udev 69 0 69 0% /dev
    shmfs 69 0 69 0% /dev/shm
    /dev/sda1 3815 762 3053 20% /media/usbhd-sda1
    none 69 0 69 0% /tmp
    none 69 0 69 0% /var/lock
    none 69 0 69 0% /var/run
    none 69 0 69 0% /var/lib/urandom
    /dev/sda1 3815 762 3053 20% /media/hdd
    >>> DONE <<<
    spark:~#
    clear

    [H [Jspark:~#
    opkg update && opkg install /tmp/*.ipk


    Downloading http://alien.sat-universum.de/Packages.gz.

    Inflating http://alien.sat-universum.de/Packages.gz.

    Updated list of available packages in /usr/lib/opkg/lists/AR-P.
    Downloading http://extra.sat-universum.de/Packages.gz.

    Inflating http://extra.sat-universum.de/Packages.gz.

    Updated list of available packages in /usr/lib/opkg/lists/plugins-feed.

    Installing enigma2-plugin-extensions-epanel (5.4-r2) to root...

    Collected errors:
    * satisfy_dependencies_for: Cannot satisfy the following dependencies for enigma2-plugin-extensions-epanel:
    * softcam-support * busybox-cron * ntpdate * update-rc.d *
    * opkg_install_cmd: Cannot install package enigma2-plugin-extensions-epanel.

    spark:~#
    opkg update && opkg install
    /tmp/*.ipk


    Downloading http://alien.sat-universum.de/Packages.gz.

    Inflating http://alien.sat-universum.de/Packages.gz.

    Updated list of available packages in /usr/lib/opkg/lists/AR-P.
    Downloading http://extra.sat-universum.de/Packages.gz.

    Inflating http://extra.sat-universum.de/Packages.gz.

    Updated list of available packages in /usr/lib/opkg/lists/plugins-feed.

    Installing enigma2-plugin-extensions-epanel (5.4-r2) to root...

    Collected errors:
    * satisfy_dependencies_for: Cannot satisfy the following dependencies for enigma2-plugin-extensions-epanel:
    * softcam-support * busybox-cron * ntpdate * update-rc.d *
    * opkg_install_cmd: Cannot install package enigma2-plugin-extensions-epanel.

    spark:~#

    ОтветитьУдалить
  35. C такими проблемами тебе надо показать этот лог Taapat, как он прокомментирует это, для меня это выглядит странно, либо у него в имидже все что нужно уже установлено, но имеет другие имена пакетов, тогда установка через -force-overwrite или чего-то не хватает у него в имидже, тут я не в курсе, нет такого железа...

    ОтветитьУдалить
  36. Анонимный14 июля 2014 г., 19:26

    2boot,спасибо,так и сделаю.

    ОтветитьУдалить
  37. Не получается установить панель
    [H [Jspark:~#
    opkg update && opkg install /tmp/*.ipk


    Downloading https://googledrive.com/host/0ByWtLlZjzbogREgzLU5VOXFaWHc/Packages.gz.

    Inflating https://googledrive.com/host/0ByWtLlZjzbogREgzLU5VOXFaWHc/Packages.gz.

    Updated list of available packages in /usr/lib/opkg/lists/Taapat.
    Downloading https://googledrive.com/host/0ByWtLlZjzbogdFdXN0J1MkcxcHc/Packages.gz.

    Inflating https://googledrive.com/host/0ByWtLlZjzbogdFdXN0J1MkcxcHc/Packages.gz.

    Updated list of available packages in /usr/lib/opkg/lists/plugins-feed.

    Installing enigma2-plugin-extensions-epanel (5.4-r4) to root...

    Collected errors:
    * satisfy_dependencies_for: Cannot satisfy the following dependencies for enigma2-plugin-extensions-epanel:
    * softcam-support * busybox-cron * ntpdate * update-rc.d *
    * opkg_install_cmd: Cannot install package enigma2-plugin-extensions-epanel.

    spark:~#
    Не подскажите что не так? Имидж http://gisclub.tv/enigma2-306/testovaja-ar-p-ot-taapat/ .Спасибо

    ОтветитьУдалить
    Ответы
    1. у тебя на фиде имиджа отсутствует
      update-rc.d
      softcam-support
      busybox-cron
      ntpdate

      если первые 2 архитектурно независимые, то вторые нужны под твой процессор, обратись к Taapat пусть он добавит эти пакеты на фид...

      Удалить
    2. спасибо обращусь к Taapat за помощью

      Удалить
  38. Скажите, пожалуйста, не действительно ли e-panel позволяет устанавливать bh.tgz (через "Ручную установку и удаление пакетов") что следует из самого интерфейса? Вчера как не пытался такие архивы даже не видны в этом установщике. Е-panel последняя. Спасибо.

    ОтветитьУдалить
    Ответы
    1. только что проверил, все видит и распаковывает, стандартная ошибка в названии файлов файл должен заканчиваться на .bh.tgz обрати внимание на точку перед bh

      Удалить
  39. Cпасибо за подсказку, так и есть, почему-то упаковали без .bh

    ОтветитьУдалить
    Ответы
    1. я наверно в следующей сборке сделаю чтобы работало и без точки, хотя это не совсем корректно....

      Удалить
    2. Не пойму,как сделать перевод на русский.

      Где найти перевод?

      Удалить
    3. в имидже у себя переключи локаль, на русский или украинский, в плагине все есть....

      Удалить
  40. посмотрите вот что смущает вот эти строки
    Configuring enigma2-plugin-extensions-epanel.
    Collected errors:

    root@e3hd:~# opkg update && opkg install /tmp/*.ipk
    Deprecated version constraint '>' was used with the same meaning as '>='. Use '> >' for LATER constraint.
    Downloading http://hdmu.de/mipsv2/e3hd/3rdparty/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-3rdparty.
    Downloading http://hdmu.de/mipsv2/e3hd/all/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-all.
    Downloading http://ipkserver.hdmedia-universe.com/mips/bootlogos/HDMUPackages.gz .
    Updated list of available packages in /var/lib/opkg/hdmu-bootlogos.
    Downloading http://hdmu.de/mipsv2/e3hd/e3hd/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-e3hd.
    Downloading http://hdmu.de/mipsv2/e3hd/e3hd_3rdparty/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-e3hd_3rdparty.
    Downloading http://ipkserver.hdmedia-universe.com/mips/mediacenter/HDMUPackages. gz.
    Updated list of available packages in /var/lib/opkg/hdmu-mediacenter.
    Downloading http://hdmu.de/mipsv2/e3hd/mips32el/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-mips32el.
    Downloading http://ipkserver.hdmedia-universe.com/mips/normal/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-normal.
    Downloading http://ipkserver.hdmedia-universe.com/mips/picons/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-picons.
    Downloading http://ipkserver.hdmedia-universe.com/mips/skins/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-skins.
    Deprecated version constraint '>' was used with the same meaning as '>='. Use '> >' for LATER constraint.
    Installing enigma2-plugin-extensions-epanel (5.4-r5) on root.
    Installing busybox-cron (1.22.1-r32) on root.
    Downloading http://hdmu.de/mipsv2/e3hd/mips32el/busybox-cron_1.22.1-r32_mips32el .ipk.
    Removing any system startup links for busybox-cron ...
    Installing ntpdate (4.2.6p5-r6.0) on root.
    Downloading http://hdmu.de/mipsv2/e3hd/mips32el/ntpdate_4.2.6p5-r6.0_mips32el.ip k.
    Configuring busybox-cron.
    Adding system startup for /etc/init.d/busybox-cron.
    starting Busybox Periodic Command Scheduler: crond... done.
    Configuring ntpdate.
    Configuring enigma2-plugin-extensions-epanel.
    Collected errors:
    * resolve_conffiles: Existing conffile /etc/default/ntpdate is different from t he conffile in the new package. The new conffile will be placed at /etc/default/ ntpdate-opkg.
    root@e3hd:~#

    ОтветитьУдалить
    Ответы
    1. это не совсем ошибка, а вернее не ошибка вовсе, это сообщение говорит о том что надо изменить файл конфигурации ntpdate, для этого идем в /etc/default/
      удаляем /etc/default/ntpdate
      переименовываем /etc/default/ntpdate-opkg. в /etc/default/ntpdate
      и полная перезагрузка ресивера

      Удалить
  41. ну все зделал а скажите что это менят

    ОтветитьУдалить
  42. теперь не могу синхронизировать время в ручную

    ОтветитьУдалить
  43. попробуй поставить с фида пакет ntp в последних версиях панели время синхронизируется через ntp-sync? мне пришлось переделать в след за плишниками этот момент... если не найдеш пакета, напишешь я выложу для mipsel

    ОтветитьУдалить
  44. это вот этоа версия ntpdate_4.2.6p5-r6.0_mips32el.ipk ?

    ОтветитьУдалить
    Ответы
    1. нет это пакет ntpdate а нужен пакет ntp
      ntp_4.2.6p5-r6.0_mips32el.ipk такой нужен

      Удалить
  45. Ответы
    1. вот https://drive.google.com/file/d/0B5UXmy-_ZZv5cWpqRklEUjVrbFk/edit?usp=sharing

      Удалить
  46. как в терминале дать каманду - через е панель не устанвливается

    ОтветитьУдалить
    Ответы
    1. команда не поможет ибо в панели ставится точно теми же командами
      opkg update && opkg install /tmp/ntp_4.2.6p5-r6.0_mips32el.ipk

      Удалить
  47. Ответы
    1. не получится там в пакете куча скриптов которые исполняются до установки и после, покажи чего пишет?

      Удалить
  48. вот посмотри

    root@e3hd:~# opkg update && opkg install /tmp/ntp_4.2.6p5-r6.0_mips32el.ipk
    Deprecated version constraint '>' was used with the same meaning as '>='. Use '> >' for LATER constraint.
    Downloading http://hdmu.de/mipsv2/e3hd/3rdparty/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-3rdparty.
    Downloading http://hdmu.de/mipsv2/e3hd/all/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-all.
    Downloading http://ipkserver.hdmedia-universe.com/mips/bootlogos/HDMUPackages.gz .
    Updated list of available packages in /var/lib/opkg/hdmu-bootlogos.
    Downloading http://hdmu.de/mipsv2/e3hd/e3hd/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-e3hd.
    Downloading http://hdmu.de/mipsv2/e3hd/e3hd_3rdparty/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-e3hd_3rdparty.
    Downloading http://ipkserver.hdmedia-universe.com/mips/mediacenter/HDMUPackages. gz.
    Updated list of available packages in /var/lib/opkg/hdmu-mediacenter.
    Downloading http://hdmu.de/mipsv2/e3hd/mips32el/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-mips32el.
    Downloading http://ipkserver.hdmedia-universe.com/mips/normal/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-normal.
    Downloading http://ipkserver.hdmedia-universe.com/mips/picons/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-picons.
    Downloading http://ipkserver.hdmedia-universe.com/mips/skins/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-skins.
    Deprecated version constraint '>' was used with the same meaning as '>='. Use '> >' for LATER constraint.
    Installing ntp (4.2.6p5-r6.0) on root.
    Collected errors:
    * opkg_install_pkg: Package ntp md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
    * opkg_install_cmd: Cannot install package ntp.
    root@e3hd:~#

    ОтветитьУдалить
    Ответы
    1. ошибка контрольной суммы, попробуй принудительную установку, если не пройдет, то ищи у себя на фиде такой пакет

      Удалить
  49. нашел вот такой ntp
    или он должен вот так называться
    ntp_4.2.6p5-r6.0_mips32el.ipk

    ОтветитьУдалить
  50. opkg update && opkg list *тез* посмотри как у тебя он будет называтся, номер версии может отличатся ...

    ОтветитьУдалить
  51. посмотри вот это он вроде бы
    и што дает эта установка
    https://yadi.sk/i/jVQE-RccaGpmu

    ОтветитьУдалить
  52. это оно cинхронизация идет через ntp-sync

    ОтветитьУдалить
  53. не знаю кому отвечать, ибо задаем вопросы и остаемся анонимными лень ввести свою гулговскую записьили какую другую, тому кто спрашивал с ресивера уно, у него проблема с фидом не ставится busycron, выхода 2 , ждать пока поправится фид или установить руками https://drive.google.com/file/d/0B5UXmy-_ZZv5dF9wVURTVGZZLVk/edit?usp=sharing и потом поставить панель

    ps пользуйтесь человеческими инструментами типа putty и filezilla а не убожеством типа dcc это програма умерла вместе с дримами..........

    ОтветитьУдалить
  54. На пли добавили хоткей. Попробовал назначить панель и панель эмуляторы на быстрые кнопки. При сохранении эмуляторы меняются на е-панель и в итоге на быструю кнопку назначается только е-панель. Можно это как то поправить?

    ОтветитьУдалить
  55. я уже писал что при нынешней реализации hotkey не реально, я поправить ничего не могу... пусть устаканят может потом что-то придумаем, а может и нет

    ОтветитьУдалить
  56. 2boom такой вопрос, почему то не загружаются эмуляторы, выбераю эмулятор, даю старт, но пишет-нет загруженных модулей

    ОтветитьУдалить
  57. я подозреваю что скрипт, левый, ежели скрипт правильный и бинарник на месте с правильными правами то все без проблем...

    ОтветитьУдалить
  58. Все вроде бы правильно usr/bin-бинарники есть права 755 в etc/init.d-скрипты запуска права 777, змуляторы скачал у Вас enigma2-plugin-softcams-oscam-ymod-v18-t55-r0.openpli.mipsel.ipk и enigma2-plugin-softcams-wicardd-1.18-r0.all-openpli.funcard.mipsel.ipk

    ОтветитьУдалить
    Ответы
    1. ну если брал мои там все нормально, только ставил как? имидж какой ?
      попробуй
      init 4
      rm -f /etc/init.d/softcam
      reboot

      после этого запусти снова эмулятор

      Удалить
  59. rm:can"t stat " /etc/init.d/softcam " : Imput/output error- выдает в телнет, ставил через Е-панель имидж ПЛИ4

    ОтветитьУдалить
  60. тогда залезь через ftp и удали /etc/init.d/softcam и перегрузись

    ОтветитьУдалить
  61. Удалил, но эмуляторы не загружаются

    ОтветитьУдалить
    Ответы
    1. тогда мне надо глазами смотреть что у тебя навернуто, так у меня мыслей больше нет...

      Удалить
  62. Спасибо! Наверное снесу имидж и поновой установлю, видимо где то намутил

    ОтветитьУдалить
    Ответы
    1. только не устанавливай ничего принудительно, если что-то не ставится посмотри лог почему, из-за принудительной установки могут быт разные фокусы...

      Удалить
  63. Спасибо за совет

    ОтветитьУдалить
  64. скажите пожалуйста, как удалить старую версию E-panel через FTP?

    ОтветитьУдалить
  65. @Artyom Minasyan, старая это какая? если она не совсем старая то можно поверху ставить, или удалить средствами самой панели, по ftp не правильно удалять остается мусор в системе минимум в 2-х местах, а панель лежит /usr/lib/enigma2/python/Plugins/Extensions/epanel

    ОтветитьУдалить
  66. Collected errors:
    * pkg_run_script: postinst script returned status 1.
    * opkg_configure: softcam-support.postinst returned 1.
    Что теперь ему не нравится?

    ОтветитьУдалить
  67. Панель встала, но эта ошибка все равно выскочила при установке. И такая же ошибка при установке mgcamd

    ОтветитьУдалить
    Ответы
    1. 1.ты вероятно ставишь mgcamd для архитектуры mipsel иди на форум где обсуждают этот имидж и где есть на него нормальные эмуляторы
      2. панель есть на фиде данного имиджа и не стоит корячится...
      3. я не использую данный имидж и архитектуру sh4 и о проблемсах могу только догадываться...

      Удалить
    2. Да нашел я эмулятор, принудительно закинул в папку и стандартный софткам менеджер его подхватил, е-панель его не видит. Е-панели у него нафиде нет.

      Удалить
    3. для epanel нужна сборка эмулятора в стандатре pli

      Удалить
  68. 2boom спасибо за объновление панельки, как всегда на высоте!
    До сих пор пользовался версией epanel-5.3-r13
    Ivanyh

    ОтветитьУдалить
  69. Ivanyh, обновлять нужно сразу за мной, постоянно что-то меняется в pli и исправляются ошибки....

    ОтветитьУдалить
  70. Обновлялся до поры до времени, а сейчас просто по воле случая нашёл, грешным делом думал что твой проект закрыт и моя версия последняя на данный момент.
    Имидж естественно обновляется постоянно.
    Ещё раз человеческое спасибо за проделанную работу!

    ОтветитьУдалить
  71. проекты которыми пользуюсь сам имеют очень мало шансов на закрытие, ну скины не в счет..

    ОтветитьУдалить
  72. по ftp не правильно удалять остается мусор в системе минимум в 2-х местах,
    Скажите в каких и что там остается Спасибо

    ОтветитьУдалить
    Ответы
    1. остается запись в opkg/status что может привести к не корректной установке других пакетов, а также ...opkg/info тут есть несколько файлов с описанием пакета, а также могут еще разные компоненты и бинарники разбросанные по всей системе...

      Удалить
  73. 2boom! Подскажите в чём может быть причина-установил последнюю версию e-panel 5.5-r2 на VU+UNO ,но вывод информации о процессоре нету

    ОтветитьУдалить
  74. переключись на дефолтный скин и погляди есть или нет

    ОтветитьУдалить
  75. 2boom!,да на дефолтном есть,а что бы на NeutronHD показывало можно сделать

    ОтветитьУдалить
  76. тут пусть автор скина меняет, там появилось 2 новых виджета, но так как их в скине нет они и неотображаются...

    ОтветитьУдалить
  77. тому кто ночью выкладывал простыни, перед установкой удалить древнюю версию....

    ОтветитьУдалить
  78. как удалить? Подскажите пожалуйста

    ОтветитьУдалить
    Ответы
    1. удалить через ftp паку с плагином /usr/lib/enigma2/python/Plugins/Extensions/ тут найдешь и в /var/lib/opkg/status найти запись о плагине тоже удалить

      Удалить
  79. Удалил, запись в status тоже удалил. При установке опять


    vusolo2 login: root
    Password:
    root@vusolo2:~# opkg update && opkg install /tmp/*.ipk
    Downloading http://downloads.pli-images.org/feeds/openpli-4/3rd-party/Packages.g z.
    Updated list of available packages in /var/lib/opkg/openpli-3rd-party.
    Downloading http://downloads.pli-images.org/feeds/openpli-4/3rd-party-vusolo2/Packages.gz.
    Updated list of available packages in /var/lib/opkg/openpli-3rd-party-vusolo2.
    Downloading http://downloads.pli-images.org/feeds/openpli-4/all/Packages.gz.
    Updated list of available packages in /var/lib/opkg/openpli-all.
    Downloading http://downloads.pli-images.org/feeds/openpli-4/mips32el/Packages.gz.
    Updated list of available packages in /var/lib/opkg/openpli-mips32el.
    Downloading http://downloads.pli-images.org/feeds/openpli-4/vusolo2/Packages.gz.
    Updated list of available packages in /var/lib/opkg/openpli-vusolo2.
    Installing enigma2-plugin-extensions-epanel (5.5-r3) on root.
    Collected errors:
    * check_data_file_clashes: Package enigma2-plugin-extensions-epanel wants to install file /usr/script/Process_list_ep.sh
    But that file is already provided by package * dvbapp2-plugin-extensions-easyplipanel
    * check_data_file_clashes: Package enigma2-plugin-extensions-epanel wants to install file /usr/script/Free_Space_ep.sh
    But that file is already provided by package * dvbapp2-plugin-extensions-easyplipanel
    * check_data_file_clashes: Package enigma2-plugin-extensions-epanel wants to install file /usr/script/Drivers_ep.sh
    But that file is already provided by package * dvbapp2-plugin-extensions-easyplipanel
    * check_data_file_clashes: Package enigma2-plugin-extensions-epanel wants to install file /usr/script/Mountpoints_ep.sh
    But that file is already provided by package * dvbapp2-plugin-extensions-easyplipanel
    * check_data_file_clashes: Package enigma2-plugin-extensions-epanel wants to install file /usr/script/Kernel_Modules_ep.sh
    But that file is already provided by package * dvbapp2-plugin-extensions-easyplipanel
    * check_data_file_clashes: Package enigma2-plugin-extensions-epanel wants to install file /usr/script/Emu_info_ep.sh
    But that file is already provided by package * dvbapp2-plugin-extensions-easyplipanel
    * check_data_file_clashes: Package enigma2-plugin-extensions-epanel wants to install file /usr/script/Uptime_ep.sh
    But that file is already provided by package * dvbapp2-plugin-extensions-easyplipanel
    * check_data_file_clashes: Package enigma2-plugin-extensions-epanel wants to install file /usr/script/Delete_all_Crashlogs_ep.sh
    But that file is already provided by package * dvbapp2-plugin-extensions-easyplipanel
    * opkg_install_cmd: Cannot install package enigma2-plugin-extensions-epanel.
    root@vusolo2:~#

    ОтветитьУдалить
    Ответы
    1. нет, ты не удалил запись в status , поиском найди и удали это
      dvbapp2-plugin-extensions-easyplipanel

      Удалить
  80. 2boom. Спасибо за динамический DNS! Это просто супер! Не нужно даже иметь роутер с такой функцией!

    ОтветитьУдалить
  81. @Григорий Гальванэску, от роутеров толку мало, много роутеров достаточно старых и отлично работающих, поддерживают уже платный dyndns и какието экзотические хостинги, вчера сам нарвался.... пришлось срочно решать проблему....

    ОтветитьУдалить
  82. 2boom , не подскажешь: имидж OpenAtv, скачиваю ЕПГ с помощью Е-панели, ЕПГ скачивает нормально, но на каналах оно не отображается??? По пути /etc/enigma2/settings прописан путь к файлу : config.misc.epgcache_filename=/usr/share/enigma2/epg.dat

    ОтветитьУдалить
  83. У меня на open atv работает, только что глянул
    показывай cat /etc/enigma2/settings | grep epgcach
    и побольше инфы ресивер,? версия atv и т.д.

    ОтветитьУдалить
  84. Не знаю что это: cat /etc/enigma2/settings | grep epgcach, что за cat? и где найти это- grep epgcach?
    Рес - GI 9196Lite, имидж - OpenAtv 4.2

    ОтветитьУдалить
  85. это команда которую надо дать в терминале и показать мне , что она ответит, на вопрос, что такое терминал, отвечать не буду....

    ОтветитьУдалить
    Ответы
    1. Дал команду через телнет, вот что показало:

      root@gi9196lite:~# cat /etc/enigma2/settings | grep epgcach
      config.misc.epgcachefilename=epg.dat
      root@gi9196lite:~#

      Удалить
  86. такое впечатление, что ты не сохранил настройки epg, где у тебя должен лежать файл ?

    ОтветитьУдалить
    Ответы
    1. Здесь :
      usr/share/enigma2
      Я сохранял, просто сегодня опять пробовал скачивать,вчера в etc/enigma2/settings было два файла : 1) config.misc.epgcache_filename ,2) config.misc.epgcachefilename. Сегодня только остался этот - epgcachefilename.

      Удалить
    2. в терминале
      init 4
      через ftp открой /etc/enigma2/settings
      и добавь туда строку
      config.misc.epgcachepath=/config.misc.epgcachepath=/media/hdd/
      сохрани
      потом в терминале reboot
      и посмотри сохранилось или нет

      ps хранить в внутреннем флеше epg, тем более в ресивере у которого всего не хватает, странно (скажем так), для epg, swap и пиконов нужна флешка и ресивер дольше проработает и проблем с нехваткой памяти не будет

      Удалить
    3. Спасибо,попробую чуть позже(сейчас работа есть) и отпишусь.

      Удалить
    4. 2boom, прописал как ты сказал строку
      config.misc.epgcachepath=/config.misc.epgcachepath=/media/hdd/
      Не помогло, примонтировал флешку и тоже глухо, придется менять наверное имидж.

      Удалить
  87. Привет 2boom! Скажите пожалуйста, я установил епанель версии 5,6-r0. Как мне установить 5,6-r1? Прежнюю нужно удалять?

    ОтветитьУдалить
  88. @Григорий Гальванэску, просто поверху

    ОтветитьУдалить
  89. это я не посмотрел что оно отобразилось, нужно так
    config.misc.epgcachepath=/usr/share/enigma2/

    вот так, пропиши. хотя панель должна сама прописывать

    ОтветитьУдалить
    Ответы
    1. Я уже флешку примонтировал, и не сохраняется у меня,спрашивал, у других людей все нормально.

      Удалить
  90. хз, сохранятся обязано, пробуй чистый имидж и поменьше мусора, и очень кошерно удалить половину atv, тогда совсем хорошо получается....

    ОтветитьУдалить
    Ответы
    1. 2boom , спасибо за помощь уже не в первый раз, флешку извлек, потом примонтировал еще раз и пошло ЕПГ,спасибо.

      Удалить
  91. при установке в терминале пишет:
    Downloading https://googledrive.com/host/0B4ZtbqH07yplek5fX055NnBBUWc/Packages.gz.

    Inflating https://googledrive.com/host/0B4ZtbqH07yplek5fX055NnBBUWc/Packages.gz.

    Updated list of available packages in /usr/lib/opkg/lists/CRIS.
    Downloading https://googledrive.com/host/0B4ZtbqH07yplOEZuZ29wcmJzY0U/Packages.gz.

    Inflating https://googledrive.com/host/0B4ZtbqH07yplOEZuZ29wcmJzY0U/Packages.gz.

    Updated list of available packages in /usr/lib/opkg/lists/plugins-feed.

    Upgrading enigma2-plugin-extensions-epanel on root from 5.6-r0 to 5.6-r1...

    Collected errors:
    * satisfy_dependencies_for: Cannot satisfy the following dependencies for enigma2-plugin-extensions-epanel:
    * python-requests *
    * opkg_install_cmd: Cannot install package enigma2-plugin-extensions-epanel.
    подскажите что не так.

    ОтветитьУдалить
  92. вместо что не так, напиши на какой ресивер и какой имидж ты ставишь

    ОтветитьУдалить
  93. Ответы
    1. тогда идешь на форум где раздают этот имидж, ищешь там Igorhad и просишь его положить на фид пакет python-requests и после этого все будет ставится и работать....

      Удалить
    2. Спасибо, понял

      Удалить
  94. У кого sh4 выклыдываю недостающий python-requests
    https://drive.google.com/file/d/0B37bguzXCXWsX3RqMU9scEdhbjg/view?usp=sharing

    ОтветитьУдалить
  95. @georgii gavd, спасибо подвешу в начале...

    ОтветитьУдалить
  96. На sh4 , в DDNS при нажати синхронизировать выдаёт такое

    spark:~# /usr/lib/enigma2/python/Plugins/Extensions/epanel/no-ip.py
    Traceback (most recent call last):
    File "/usr/lib/enigma2/python/Plugins/Extensions/epanel/no-ip.py", line 5, in

    import requests
    File "/usr/lib/python2.7/site-packages/requests/__init__.py", line 58, in
    from . import utils
    File "/usr/lib/python2.7/site-packages/requests/utils.py", line 25, in
    from .compat import parse_http_list as _parse_list_header
    File "/usr/lib/python2.7/site-packages/requests/compat.py", line 7, in
    from .packages import chardet
    File "/usr/lib/python2.7/site-packages/requests/packages/__init__.py", line 3,
    in
    from . import urllib3
    File "/usr/lib/python2.7/site-packages/requests/packages/urllib3/__init__.py",
    line 16, in
    from .connectionpool import (
    File "/usr/lib/python2.7/site-packages/requests/packages/urllib3/connectionpoo
    l.py", line 42, in
    from .request import RequestMethods
    File "/usr/lib/python2.7/site-packages/requests/packages/urllib3/request.py",
    line 12, in
    from .filepost import encode_multipart_formdata
    File "/usr/lib/python2.7/site-packages/requests/packages/urllib3/filepost.py",
    line 15, in
    from .fields import RequestField
    File "/usr/lib/python2.7/site-packages/requests/packages/urllib3/fields.py", l
    ine 7, in
    import email.utils
    ImportError: No module named email.utils
    spark:~#

    этот email.utils в какой-то пакет входит ? и где именно он в ресе должен находится ?

    ОтветитьУдалить
  97. там где все пакеты, где ты надыбал это python-requests ? в нем отсутвуют нужные зависимости для установки...
    этот email.utils подает в ресивер с какой-то зависимостью, там где у вас лежит python

    ОтветитьУдалить
  98. python-requests надыбал на фиде Taapata https://5476fd2cf75f51e585aa8f6846eff1831095afa9.googledrive.com/host/0ByWtLlZjzbogZm1PMXA4U2lWOWM/ ......
    распаковал ipk python-requests , там зависимости не указаны вообще .
    Ладно , будем искать .

    ОтветитьУдалить
  99. @georgii gavd, насколько я знаю у него на имидже все работает, нормально, а на другом имидже Ar-p Cris нет, но в нем может и не быть установленных зависимостей, но тут я ничем....

    ОтветитьУдалить
  100. У меня чистый AR-P (из-за вай фай , на нём нормально работает ) .
    Попробую распокавать python-requests от мипса , посмотрю какие там зависимости и поищу такие для sh4 .

    ОтветитьУдалить
  101. Перешёл на последний имидж Taapata , DDNS всё равно не синхронизируется , но в окне е-панели уже не ругается , а пишет :

    Процесс выполнения ;

    badauth
    Выполнение закончено!

    И во лог енигмы в момент нажатия "Синхронизировать" ;

    action -> OkCancelActions cancel
    action -> InfobarMenuActions mainMenu
    loading mainmenu XML...
    PluginBrowser PluginBrowser
    TimerEdit TimerEditList
    action -> OkCancelActions ok
    okbuttonClick
    [SKIN] Parsing embedded skin
    libpng warning: iCCP: known incorrect sRGB profile
    libpng warning: iCCP: known incorrect sRGB profile
    libpng warning: iCCP: known incorrect sRGB profile
    libpng warning: iCCP: known incorrect sRGB profile
    action -> WizardActions ok
    [SKIN] Parsing embedded skin
    action -> WizardActions ok
    [SKIN] Parsing embedded skin
    [SKIN] No skin to read
    action -> ColorActions yellow
    Console: executing in run 0 the command: python /usr/lib/enigma2/python/Plugins
    /Extensions/epanel/no-ip.py
    poll: unhandled POLLERR/HUP/NVAL for fd 66(16)
    action -> WizardActions back
    action -> SetupActions cancel
    action -> WizardActions back
    action -> WizardActions back
    action -> OkCancelActions cancel

    ОтветитьУдалить
  102. @georgii gavd, badauth это ошибка авторизациисходи ногами на сервер и проверь логин, пароль и хост, может проблемы там...

    ОтветитьУдалить
  103. Блин х. з. заработало и всё тут . Раз 10 проверил всё работает . Логин
    и пароль не менял . (Хотя уже не уверен ;) .
    Думаю не помешало бы сюда добавить пункт "Синхронизаровать при старте" .

    ОтветитьУдалить
  104. @georgii gavd, с синхронизацией при старте, вероятно ничего не получится, скрипт написан на python, а для синхронизации при старте нужен bash или shell, но я по свободе поковыряю, думается мне, что можно решить через wget, но надо пробавть...

    ОтветитьУдалить
  105. Не большая проблема . Грубо говоря час с утра рес не доступен . Как раз до работы доехать ;) .
    Вот если бы рес ещё сам себя в DMZ записывал :)

    ОтветитьУдалить
  106. Про DMZ вряд ли, даже ковырять буду, паранойей не страдаю, но сколько сталкиваюсь, DMZ используют только ленивые и это уже точно не безапасно..., что мешает пробросить порты ресивера?

    ОтветитьУдалить
  107. Ничего не мешает . Это так , мысли вслух в направлении дистанционного
    обслуживания удалённых клиентов .

    ОтветитьУдалить
  108. @georgii gavd,
    1 Обычно за удаленное обслуживание не дают денег или дают меньше, чем смотря в глаза)))
    2 что мешает настроить сразу
    3 если не настроил сразу, то через teamviewer можно до настроить
    4 DMZ не есть правильный путь...

    ОтветитьУдалить
  109. Согласен . Особенно насчёт денег .
    Просто появились первые три клиента , смотрят чисто IPTV (ростелеком , cscVod саши гамлия и ещё пару букетов) , живут в бельгии .
    Наверняка в будущем придётся что-то менять . В общем посмотрим ,
    варианты есть .

    ОтветитьУдалить
  110. @georgii gavd, я и сам почти полностью перешел на iptv, но мусора типа ростелекома и даром не надо, а вот познавательных целях самое то....
    если менять пробросишь порты через тивьювер...

    ОтветитьУдалить
  111. Доброго вечора! Потрібна допомога в такому плані , такого як плагіна погоди в імиджі не має OPen PLi 4 , загрузив скін, там погоду показує в інфобарі ,але не моє місто,моє Львів ,як і де потрібно записати моє місто , папку tmp

    title>Yahoo! Weather - Buren, NL</title




    ОтветитьУдалить
  112. Доброго! зроби скриншот подивитися, шо ти маєш на увазі, та його на обмінник, а посилання сюди ...

    ОтветитьУдалить
  113. Доброго вечора !
    https://www.dropbox.com/sh/1xu2ysy48kqsymd/AACtt5I4i6MNL0TcK1oXIO88a?dl=0

    ОтветитьУдалить
    Ответы
    1. Доброго! як називається скін і де його можна скачати, потрібно подивитися нутрощі...

      Удалить
    2. Тримай! закинь по ftp у /usr/lib/enigma2/python/Components/Converter та перезавантаж enigma2

      https://onedrive.live.com/redir?resid=9E02A5B95670BD4B%2144929

      Удалить
  114. https://github.com/openhdf/3rdparty-plugins/blob/master/enigma2-plugin-skins-blacky-green_V2.54_mips32el.ipk

    ОтветитьУдалить
  115. 2boom Саме так , дякую , як би я хотів редагувати , то в цьому converter замінити 942943 на 940133 ?

    ОтветитьУдалить
    Ответы
    1. Ув. 2boom !!!! после установки epanel-5.6-r4 из pp-панели(синяя кн.) - зеленка...из epanel-и ОК! (пардон как креш прикрепить?) помогите плиз!!!!! УНО--ПЛИ 4 Спасибо!!!!!!!

      Удалить
    2. @setntv, я так и не понял откуда крешь? и что такое ppanel? крешь на обменник , если в epanel креша нету, то наверно надо к авторам другим обращатся

      Удалить
  116. В настройках епанели есть пункт -Показать скрипт мененжер в расшир.меню--ДА- когда жму синюю кнопку там куча всего в том числе и скрипт мененжер....так вот вызов скрипт мененжера из расшир.меню приводит к зелени...когда через епанель(ну так больше кн. жать) то все нормально...пардон а как на обменник попасть я не совсем владею(ну баран!)....

    ОтветитьУдалить
    Ответы
    1. я понял, есть такое дело исправлю

      Удалить
  117. 2boom у меня установлена E-panel 5.3-r13 была еще в мае. Как мне правильно поставить на последнюю?
    1. Удалить старую через меню плагинов? а потом поставить новую как описано в шапке темы.
    2. Или поставить без удаления старой версии?

    ОтветитьУдалить
    Ответы
    1. @Тимофей Якимчук, лучше удалить

      Удалить
  118. 2boom здравствуйте!!!
    Сегодня ставил e-panel 5.6-r6 + softcam-support_1.0-r1_all.ipk +
    update-rc.d_0.7-r5_all.ipk через телнет.
    В конце написано Collected errors:
    * pkg_get_installed_files: Failed to open //var/lib/opkg/info/libncursesw5.list: No such file or directory .
    * pkg_get_installed_files: Failed to open //var/lib/opkg/info/libpopt0.list: No such file or directory.
    Это нормально?

    ОтветитьУдалить
  119. Ответы
    1. @Тимофей Якимчук, на какой имидж ставил? и пробуй по одному по одному ставить чтобы знать на каком ошибка

      Удалить
  120. Не по теме. Но потом ставил плагины iptv: rostelecom и ваш новый (нтв+). Такая же ошибка. Но плагин ростелекома показывает, а плагин нтв+ каналы не открывает. По всякому в настройках менял.
    Е-панель встала. по кнопке епг показывает, что установлен плагин 5.6-r6. А другое не знаю как проверить, т.к. не знаю для чего)))

    ОтветитьУдалить
  121. @Тимофей Якимчук, для родного pli кроме самого файла панели ничего больше ставить не нужно, вероятно поэтому и ошибка возникает...
    что проверять собираешься?
    каналы с sat-elit открываются но долго 10-15 секунд

    ОтветитьУдалить
  122. Понял значит для pli только e-panel нужно кидать в папку /tmp и устанавливать?
    да как то странно у меня то они быстро открываются(вчера) секунд за 3-5, то вообще не открываются - как сегодня

    ОтветитьУдалить
  123. посмотрите что то не так как устанвливаю пакеты вот скрин https://yadi.sk/i/F3XiV4z8desSD

    ОтветитьУдалить
  124. попробывал переустановить и вот что выдает


    + Box = e3hd
    + HDMU Rev = 13438
    + GIT Rev = 1914
    + Hostname = e3hd
    + Kernel = 3.6.0
    + Uptime = 17:35:46 up 2 min, load average: 0.61, 0.33, 0.12
    + CPU = Broadcom BMIPS3300 V3.2
    +Memory Total = 250504 kB
    + Memory Free = 156936 kB

    root@e3hd:~# opkg update && opkg install /tmp/*.ipk
    Deprecated version constraint '>' was used with the same meaning as '>='. Use '> >' for LATER constraint.
    Downloading http://198.245.62.46/ipks/gst1/e3hd/3rdparty/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-3rdparty.
    Downloading http://198.245.62.46/ipks/gst1/e3hd/all/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-all.
    Downloading http://ipkserver.hdmedia-universe.com/bootlogos/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-bootlogos.
    Downloading http://198.245.62.46/ipks/gst1/e3hd/e3hd/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-e3hd.
    Downloading http://198.245.62.46/ipks/gst1/e3hd/e3hd_3rdparty/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-e3hd_3rdparty.
    Downloading http://www.odk-eurolux.com.ua/feeds/gisclub/HDMUPackages.gz.
    wget: server returned error: HTTP/1.1 404 Not Found
    Downloading http://ipkserver.hdmedia-universe.com/mediacenter/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-mediacenter.
    Downloading http://198.245.62.46/ipks/gst1/e3hd/mips32el/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-mips32el.
    Downloading http://ipkserver.hdmedia-universe.com/mips/normal/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-normal.
    Downloading http://ipkserver.hdmedia-universe.com/picons/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-picons.
    Downloading http://ipkserver.hdmedia-universe.com/skins/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-skins.
    Collected errors:
    * opkg_download: Failed to download http://www.odk-eurolux.com.ua/feeds/gisclub/HDMUPackages.gz, wget returned 1.
    root@e3hd:~#

    ОтветитьУдалить
  125. попробывал переустановить и вот что выдает


    + Box = e3hd
    + HDMU Rev = 13438
    + GIT Rev = 1914
    + Hostname = e3hd
    + Kernel = 3.6.0
    + Uptime = 17:35:46 up 2 min, load average: 0.61, 0.33, 0.12
    + CPU = Broadcom BMIPS3300 V3.2
    +Memory Total = 250504 kB
    + Memory Free = 156936 kB

    root@e3hd:~# opkg update && opkg install /tmp/*.ipk
    Deprecated version constraint '>' was used with the same meaning as '>='. Use '> >' for LATER constraint.
    Downloading http://198.245.62.46/ipks/gst1/e3hd/3rdparty/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-3rdparty.
    Downloading http://198.245.62.46/ipks/gst1/e3hd/all/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-all.
    Downloading http://ipkserver.hdmedia-universe.com/bootlogos/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-bootlogos.
    Downloading http://198.245.62.46/ipks/gst1/e3hd/e3hd/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-e3hd.
    Downloading http://198.245.62.46/ipks/gst1/e3hd/e3hd_3rdparty/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-e3hd_3rdparty.
    Downloading http://www.odk-eurolux.com.ua/feeds/gisclub/HDMUPackages.gz.
    wget: server returned error: HTTP/1.1 404 Not Found
    Downloading http://ipkserver.hdmedia-universe.com/mediacenter/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-mediacenter.
    Downloading http://198.245.62.46/ipks/gst1/e3hd/mips32el/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-mips32el.
    Downloading http://ipkserver.hdmedia-universe.com/mips/normal/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-normal.
    Downloading http://ipkserver.hdmedia-universe.com/picons/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-picons.
    Downloading http://ipkserver.hdmedia-universe.com/skins/HDMUPackages.gz.
    Updated list of available packages in /var/lib/opkg/hdmu-skins.
    Collected errors:
    * opkg_download: Failed to download http://www.odk-eurolux.com.ua/feeds/gisclub/HDMUPackages.gz, wget returned 1.
    root@e3hd:~#

    ОтветитьУдалить
  126. татьяна киндерова, какое отношение это все имеет к епанели ?
    1-й скин все нормально

    Downloading http://www.odk-eurolux.com.ua/feeds/gisclub/HDMUPackages.gz.
    wget: server returned error: HTTP/1.1 404 Not Found
    не работает и посему ошибка, но повторяю к работе панели не имеет отношения никакого...

    ОтветитьУдалить
  127. 2boom что значит - размещение epg.dat теперь привязывается к точкам монтирования?
    и еще в версии е-панели 5.6-r9 изменен источник epg.dat теперь вместо piconload.ru, грузится с shura.tv. А источник только один или там есть выбор?
    Вот у меня в E-panel 5.6-r6 и там Загрузчик Epg linux-sat.tv (ex-USSR)
    В чем разница между источниками EPG?

    ОтветитьУдалить
  128. Тимофей Якимчук,
    1 это значит что при включении плагин проверяет все внешние устройства и дает возможность хранить epg.dat там
    2 выбор остался конечно разница в том что с shura.tv несколько расширен там есть iptv каналы и может еще какието с этого сервиса, но база у всех одна linux-sat.tv

    ОтветитьУдалить
    Ответы
    1. Этот комментарий был удален автором.

      Удалить
  129. 2boom - привет - измени пожалуйста источник epg.dat shura.tv на epg-sat.de!
    сервис пока разработке - ну грузится епг.дат от epg-sat.de!

    пс: база создаётся своя

    ОтветитьУдалить
  130. Wilhelm Baier, просьба внятно выражать свои мысли, epg отсюда грузится и сейчас, а название поменяю в следующей сборке....

    ОтветитьУдалить
  131. http://i9.pixs.ru/storage/6/4/5/grabjpg_8986919_15991645.jpg

    http://i9.pixs.ru/storage/6/6/5/grabjpg_2322236_15991665.jpg

    Вот такая картинка после загрузки

    ОтветитьУдалить
  132. Забыл написать Верхней строки на загрузчике нету( как на картинке), не обновилось

    ОтветитьУдалить
  133. 1. надо имидж хотя бы раз в год переставлять
    2. перед установкой удали панель полутора годичной давности
    3 и если имидж pli то лучше не ставить до переезда на 4

    ОтветитьУдалить
  134. Проблемма в том , что Е- панель (предыдущие) не удаляются - как только не пробовал...Наверное придется ставить имедж с нуля.

    ОтветитьУдалить
  135. лучше конечно с 0 поставить, .а запись о установленной удаляется /var/lib/opkg/status из этого файла удвли все , что касается easyplipanel

    ОтветитьУдалить
  136. Или можно как то Командой удалитъ Все Предыдущие панели?

    ОтветитьУдалить
  137. командой тоже можно opkg remove

    ОтветитьУдалить
  138. Напиши пожалуйста полностью команду для тельнета для удаления всех е -панелей- с вариантом удаления из /var/lib/opkg/status - почему то не получается

    ОтветитьУдалить
  139. экспериментируй, все что для удаления надо, я написал, через status проблем с установкой новой проблем быть не может........

    ОтветитьУдалить
  140. в меню поывляется2 е- панели, при открытии одной из них - зелёнка

    ОтветитьУдалить
  141. новая панель живет в директории /usr/lib/enigma2/python/Plugins/Extensions/epanel, если /usr/lib/enigma2/python/Plugins/Extensions есть еще директория типа easypli.... удали ее и перегрузи енигму...

    ОтветитьУдалить
  142. http://i9.pixs.ru/storage/1/2/4/Sohranenno_7437841_16003124.jpg

    ОтветитьУдалить
  143. может это у меня PliPanel ??

    ОтветитьУдалить
  144. может, я же не знаю какая у тебя версия стоит, удали руками и все воспоминания про нее в status, перегрузись, если не будет нигде торчать, поставь наново...

    ОтветитьУдалить
  145. Все получилось - у меня была видимо старая версия Е-панели - PliPanel - её удалил осталась одна, последняя . Вроде всё ОК . проверю еще остальные функции Е- панели. Спасибо за помощь и терпение. !!!!!

    ОтветитьУдалить
  146. В процессе установки вот это:Installing enigma2-plugin-extensions-epanel (5.6-rlO) to root...
    Installing softeam-support (1.0-rl) to root...
    Installing update-rc.d (0.7-r5) to root...
    Configuring update-rc.d.
    Configuring softeam-support.
    / usr/sb in/update-rc.d: 1ine 188: runleve1: not found
    Unable to determine current runlevel
    Collected errors:
    * satisfy_dependencies_for: Cannot satisfy the following dependencies for enigma2-plugin-extensions-epanel:
    * busybox-cron * ntpdate *
    * opkg_install_cmd: Cannot install package enigma2-plugin-extensions-epanel.
    * pkg_run_script: package "softeam-support" postinst script returned status 1.
    * opkg configure: softeam-support.postinst returned 1.

    ОтветитьУдалить